Bug 14485 - Gnome RPM install window explodes
Gnome RPM install window explodes
Product: Red Hat Linux
Classification: Retired
Component: gnorpm (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
Depends On:
  Show dependency treegraph
Reported: 2000-07-23 02:22 EDT by stephen cooper
Modified: 2008-05-01 11:37 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-10-23 11:52:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description stephen cooper 2000-07-23 02:22:53 EDT
Repeatable example:

Put any RPM-filled CD from Red Hat into my CDROM drive.
Allow autorun to start Gnome RPM.
Click Install on Gnome RPM window.
The list of available RPMs seems to be creating duplicate rows in the
tree-view at an uncontrollably explosive speed.  This makes it nearly
impossible to pick the RPMs I want to query/install.

(I can't believe no one else has seen this yet, but I couldn't find any
prior reports/erratas.)
Comment 1 Alan Cox 2000-08-29 18:18:33 EDT
I've not been able to duplicate this. Are you sure its not simply the fact it
takes about 
60-90 seconds to scan a CD and read the headers of each of 500 or so rpm
packages ?
Comment 2 stephen cooper 2000-08-30 18:08:17 EDT
I am sure that it is not simply the delay to read the CD contents.  However, I 
may have set the view filter to show only un-installed packages.  Also, every 
CD I try this with causes the problem, so it's not due to a corrupted or 
unusual CD.  The tree of installable packages is definitely filling up with 
what looks like a recursive never-ending list of the same packages, over and 

Will follow up with more details when I can further analyze it.
Comment 3 Jeff Johnson 2001-03-05 15:49:08 EST
Closed for lack of ionput. Meanwhile, several bugs have been fixed in rpm-0.96,
available soon.
Please reopen if the problem persists in gnorpm-0.96, as I'm not sure how to
reproduce the problem.

Note You need to log in before you can comment on or make changes to this bug.